Package com.stardog.stark.io.rdfxml

# Class RDFXMLParserOptions

java.lang.Object
com.stardog.stark.io.rdfxml.RDFXMLParserOptions

@Deprecated public final class RDFXMLParserOptions extends Object
Deprecated.
Use `ParserOptions` instead

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Option<Boolean>`
  `FAIL_ON_DUPLICATE_RDF_ID`
  Deprecated.
  Parser setting to determine whether to throw an error for duplicate uses of rdf:ID in a single document.
  `static final Option<Boolean>`
  `FAIL_ON_INVALID_NCNAME`
  Deprecated.
  Parser setting to determine whether to ignore XML documents containing invalid NCNAMEs.
  `static final Option<Boolean>`
  `FAIL_ON_INVALID_QNAME`
  Deprecated.
  Parser setting to determine whether to ignore XML documents containing invalid QNAMEs.
  `static final Option<Boolean>`
  `FAIL_ON_MISMATCHED_TAGS`
  Deprecated.
  Parser setting to determine whether to throw an error for XML documents containing mismatched tags
  `static final Option<Boolean>`
  `FAIL_ON_NON_STANDARD_ATTRIBUTES`
  Deprecated.
  Parser setting to determine whether to ignore non-standard attributes that are found in an XML document.
  `static final Option<Boolean>`
  `FAIL_ON_SAX_NON_FATAL_ERRORS`
  Deprecated.
  Parser setting to determine whether to ignore non-fatal errors that come from SAX parsers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RDFXMLParserOptions()`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FAIL_ON_SAX_NON_FATAL_ERRORS

    public static final Option<Boolean> FAIL_ON_SAX_NON_FATAL_ERRORS
    Deprecated.
    Parser setting to determine whether to ignore non-fatal errors that come from SAX parsers.

    Defaults to true

  - ### FAIL_ON_NON_STANDARD_ATTRIBUTES

    public static final Option<Boolean> FAIL_ON_NON_STANDARD_ATTRIBUTES
    Deprecated.
    Parser setting to determine whether to ignore non-standard attributes that are found in an XML document.

    Defaults to true

  - ### FAIL_ON_INVALID_NCNAME

    public static final Option<Boolean> FAIL_ON_INVALID_NCNAME
    Deprecated.
    Parser setting to determine whether to ignore XML documents containing invalid NCNAMEs.

    Defaults to true

  - ### FAIL_ON_DUPLICATE_RDF_ID

    public static final Option<Boolean> FAIL_ON_DUPLICATE_RDF_ID
    Deprecated.
    Parser setting to determine whether to throw an error for duplicate uses of rdf:ID in a single document.

    Defaults to true

  - ### FAIL_ON_INVALID_QNAME

    public static final Option<Boolean> FAIL_ON_INVALID_QNAME
    Deprecated.
    Parser setting to determine whether to ignore XML documents containing invalid QNAMEs.

    Defaults to true

  - ### FAIL_ON_MISMATCHED_TAGS

    public static final Option<Boolean> FAIL_ON_MISMATCHED_TAGS
    Deprecated.
    Parser setting to determine whether to throw an error for XML documents containing mismatched tags

    Defaults to true

- ## Constructor Details

  - ### RDFXMLParserOptions

    public RDFXMLParserOptions()
    Deprecated.